<?php

namespace AutoAdmin\Bundle\Content\Breadcrumbs\Model;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

trait BreadcrumbsConfigTrait
{
    #[ORM\Column(type: Types::BOOLEAN, options: ['default' => false])]
    protected bool $hiddenBreadcrumbs = false;

    public function setHiddenBreadcrumbs(bool $state): self
    {
        $this->hiddenBreadcrumbs = $state;

        return $this;
    }

    public function getHiddenBreadcrumbs(): bool
    {
        return $this->hiddenBreadcrumbs;
    }

    public function isHiddenBreadcrumbs(): bool
    {
        return $this->getHiddenBreadcrumbs();
    }
}
